{lib, ...}: {
  imports = [
  ];

  options.skynet.records = lib.mkOption {
    description = "Records, sorted based on therir type";
    type = lib.types.listOf (lib.types.submodule (import ../applications/dns/options-records.nix {
      inherit lib;
    }));
  };

  config = {
    skynet.records =
      [
        # Proxmox hosts
        {
          record = "jarvis";
          r_type = "A";
          value = "193.1.99.73";
          server = true;
        }
        {
          record = "ultron";
          r_type = "A";
          value = "193.1.99.84";
          server = true;
        }
        # wifi in server room
        {
          record = "ash";
          r_type = "A";
          value = "193.1.99.114";
          server = true;
        }
        {
          record = "mimi";
          r_type = "A";
          value = "193.1.99.86";
          server = true;
        }
      ]
      # non skynet domains
      ++ [
        {
          domain = "conradcollins.net";
          record = "www";
          r_type = "CNAME";
          value = "skynet.skynet.ie.";
        }

        {
          domain = "edelharty.net";
          record = "www";
          r_type = "CNAME";
          value = "skynet.skynet.ie.";
        }
        {
          domain = "damienconroy.com";
          record = "www";
          r_type = "CNAME";
          value = "skynet.skynet.ie.";
        }
      ];
  };
}
