/*

Name:     https://en.wikipedia.org/wiki/Bumblebee_(Transformers)
Why:      Created to sell toys so this vm is for games
Type:     VM
Hardware: -
From:     2024
Role:     Game host
Notes:
*/
{
  pkgs,
  lib,
  nodes,
  arion,
  ...
}: let
  # name of the server, sets teh hostname and record for it
  name = "bumblebee";
  ip_pub = "193.1.99.91";
  hostname = "${name}.skynet.ie";
  host = {
    ip = ip_pub;
    name = name;
    hostname = hostname;
  };
in {
  imports = [
    ../applications/pelican/pelican.nix
    ../applications/games/minecraft.nix
  ];

  deployment = {
    targetHost = hostname;
    targetPort = 22;
    targetUser = null;

    tags = ["active"];
  };

  services.skynet = {
    host = host;
    backup.enable = true;
    pelican = {
      wing = {
        enable = true;
        node_name = "node01";
      };
    };
  };
}
